List OIDC Provider Configurations
get
/api/v1/configuration/oidcProviderConfig
List OIDC provider configurations. Client secrets are returned masked.
Request
Header Parameters
-
Authorization(required): string
Bearer access token. Supply as: Bearer
.
Response
Supported Media Types
- application/json
200 Response
OK
Root Schema : schema
Type:
Show Source
array-
Array of:
object OidcProviderConfig
OIDC provider configuration.
Nested Schema : OidcProviderConfig
Type:
objectOIDC provider configuration.
Show Source
-
active:
boolean
Read Only:
true -
bpmAdminGroup(required):
string
-
daApproverGroup(required):
string
-
daDeployerGroup(required):
string
-
daSuperAdminGroup(required):
string
-
daTokenAdminGroup(required):
string
-
fabricCaAdminGroup(required):
string
-
instanceAdminGroup(required):
string
-
instanceApiClientGroup(required):
string
-
instanceOperatorGroup(required):
string
-
providerAuthEndpoint:
string
Read Only:
truePopulated from providerWellKnownConfigUri. -
providerClientClaimName(required):
string
-
providerClientClaimValue(required):
string
-
providerClientId(required):
string
-
providerClientSecret:
string(password)
Required on create and optional on update. Returned masked.
-
providerEndSessionEndpoint:
string
Read Only:
truePopulated fromproviderWellKnownConfigUriwhen advertised by the provider. -
providerGroupsClaimName(required):
string
-
providerId:
string
Read Only:
true -
providerissuerUrl:
string
Read Only:
truePopulated from providerWellKnownConfigUri. -
providerjwksUri:
string
Read Only:
truePopulated from providerWellKnownConfigUri. -
providerName(required):
string
-
providerScope(required):
string
-
providerTokenEndpoint:
string
Read Only:
truePopulated from providerWellKnownConfigUri. -
providerType(required):
string
-
providerUserClaimName(required):
string
-
providerWellKnownConfigUri(required):
string
Required OIDC discovery document URI.
-
walletOrgAdminGroup(required):
string
-
walletOrgUserGroup(required):
string
-
walletSuperAdminGroup(required):
string
401 Response
Unauthorized
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
403 Response
Forbidden. The authenticated caller lacks a required global role, instance-access-group membership, or a valid CSRF token.
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
500 Response
Internal Server Error
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings